# If

Runs commands based on conditions

#### Conditions

See [Conditions](/guides/conditions.md) page

### Use cases

If you're looping through a collection of elements and want to click on a button that only exists for some elements, you can use `If` with the "Element is visible" type to only run the `Click` command if the button exists.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.browserflow.app/reference/browserflow-commands/control-flow/if.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
